#!/usr/bin/env fish

set sensor_dir /sys/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/device:50/PNP0C0A:00/power_supply/BAT1

while true
  date -u +"%H:%MZ";
  echo "Charge:   $(calc "($(cat $sensor_dir/charge_now)/1000000)*$(cat $sensor_dir/voltage_min_design)/1000000") Wh";
  echo "Current: $(calc "($(cat $sensor_dir/voltage_now)/1000000)*($(cat $sensor_dir/current_now)/1000000)") W";
  sleep 1m;
end
